Bug 88072 - Cups forces kernel panic with pl2303 loaded
Cups forces kernel panic with pl2303 loaded
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-05 02:29 EST by Herbert U. Huebner
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Herbert U. Huebner 2003-04-05 02:29:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Upon installation of Red Hat Linux 9 the system reboots.
It goes thru the various init scripts and when it executes the cups init script
the kernel will panic with the following output:

[<d084cb10>] uhci_clean_transfer [usb-uhci] 0x120 (0xc034de88))
[<d084b954>] delete_desc [usb-uhci] 0x24 (0xc034ded0))
[<d084bb76>] delete_qh [usb-uhci] 0x76 (0xc034dee0))
[<c01851b0>] flush_to_ldisc [kernel] 0xc0 (0xc034df04))
[<c01219fa>] __run_task_queue [kernel] 0x5a (0xc034df20))
[<c012547d>] tqueue_bh [kernel] 0x1d (0xc034df38))
[<c0121932>] bh_action [kernel] 0x22 (0xc034df40))
[<c0121846>] tasklet_hi_action [kernel] 0x46 (0xc034df44))
[<c0121685>] do_softirq [kernel] 0x95 (0xc034df50))
[<c010ac8e>] do_IRQ [kernel] 0xbe (0xc034df68))
[<c01159d0>] apm_cpu_idle [kernel] 0x0 (0xc034df78))
[<c010d768>] call_do_IRQ [kernel] 0x5 (0xc034df88))
[<c01159d0>] apm_cpu_idle [kernel] 0x0 (0xc034df8c))
[<c0107063>] default_idle [kernel] 0x23 (0xc034dfb4))
[<c0115a7c>] apm_cpu_idle [kernel] 0xac (0xc034dfc0))
[<c01159d0>] apm_cpu_idle [kernel] 0x0 (0xc034dfc4))
[<c0107040>] default_idle [kernel] 0x0 (0xc034dfd0))
[<c01070f2>] cpu_idle [kernel] 0x42 (0xc034dfd4))
[<c0105000>] stext [kernel] 0x0 (0xc034dfe0))

Code: 0f 0b e2 03 3f d7 25 c0 e9 77 fd ff ff 8d b4 26 00 00 00 00
<0> Kernel panic: Aiee, killing interrupt handler:
    in interrupt handler - not syncing

This happens when an USB to Serial Converter of type PL-2303 - kernel module
pl2303 - is connected to the system and cups is started.

Version-Release number of selected component (if applicable):
cups-1.1.17-13 with kernel-2.4.20-8

How reproducible:
Always

Steps to Reproduce:
1.When the PL-2303 device (USB to Serial converter) is unplugged system starts
without kernel panic.
2.Starting the rescue system and using chroot /mnt/sysimage and running
chkconfig --level 2345 cups off and reboot the system someone can plugin the
PL-2303 device again and kernel will not panic.
3.After the system has been restarted open a terminal as root and enter
chkconfig --level 2345 cups on, reboot the machine kernel will panic
    

Actual Results:  1. No kernel panic
2. No kernel panic
3. Kernel panic

Additional info:

This bug can be reproduced using an EPOX 4G4A+ mainboard that has USB 1 and USB
2 interfaces. The serial converter used is branded "phox.de" sold by Data
Becker, Germany, for use with a Siemens mobile phone.

This bug does not appear with Red Hat Linux 8.0 !
Comment 1 Tim Waugh 2003-04-05 05:12:20 EST
Full oops output please.
Comment 2 Parrish Myers 2003-05-17 21:06:27 EDT
This problem also happens with me.  My system is a homemade Duron 800 box.  I'm
not sure I have the usb to serial device talked about above, but I do have a
palm serial to usb converter.  I also have a HP Deskjet 970C connected via usb
and a Microsoft intelliMouse optical USB.
Comment 3 Pete Zaitcev 2003-06-06 17:04:25 EDT
Herbert, please try 2.4.20-18 errata.
Comment 4 Ed Jaeger 2003-06-18 19:30:36 EDT
Same problem on IBM Thinkpad R31, with short term solution.

On old laptop - IBM Thinkpad i1500 - problem does not occur under RedHat 8.0
with 2.4.20-18 kernel installed - USB hardware on that laptop uses usb-ohci drivers.

On new laptop - IBM Thinkpad R31 - problem is 100% reproducable on boot with
original RH9 kernel or 2.4.20-18.9, will oops during cups initialization if
PL2303 device is connected.  Will boot just  fine if device is disconnected, but
will oops if it is later connected and the serial port created for it
(/dev/ttyUSB0) is opened and closed by an application.  If cups initialization
is looking for usb attached printers this could be the boot oops problem.

Installing kernel 2.4.18-27.8.0 from Red Hat 8.0 errata will allow the device to
be used and system to boot with the device attached.  Have been running this
setup for over a week with no problems.

pl2303.c has lots of changes between 2.4.18 and 2.4.20.
Comment 5 Bugzilla owner 2004-09-30 11:40:45 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.